Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2995 in orxonox.OLD for orxonox


Ignore:
Timestamp:
Nov 26, 2004, 2:49:55 PM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: merged branches/osX back into the Trunk.
Conflicts resolved in Favor of trunk in all the Makefiles, and fixed many strange entries in configure.ac
merged with command: svn merge branches/osX/ trunk/ -r 2887:HEAD
AND most Important of all: change back to AUTOMAKE-1.7

Location:
orxonox/trunk
Files:
9 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/config.h.in

    r2989 r2995  
    2222/* Define to 1 if you have the <memory.h> header file. */
    2323#undef HAVE_MEMORY_H
     24
     25/* Define to 1 if you have the <OpenGL/glu.h> header file. */
     26#undef HAVE_OPENGL_GLU_H
     27
     28/* Define to 1 if you have the <OpenGL/gl.h> header file. */
     29#undef HAVE_OPENGL_GL_H
    2430
    2531/* Define to 1 if you have the <SDL/SDL.h> header file. */
  • orxonox/trunk/configure

    r2991 r2995  
    52155215         exit -1
    52165216    fi
     5217
    52175218# checking for SDL-headers
    52185219
     
    53715372
    53725373
     5374# checking for SDL-libs
    53735375    echo "$as_me:$LINENO: checking for main in -lSDL" >&5
    53745376echo $ECHO_N "checking for main in -lSDL... $ECHO_C" >&6
     
    54525454#    LIBS="$LIBS $SDL_LIBS"
    54535455    ;;
     5456
     5457### OS X ###
     5458 *darwin*)
     5459echo "OS X detected"
     5460
     5461 osX="yes"
     5462
     5463# checking gl header
     5464
     5465for ac_header in OpenGL/gl.h
     5466do
     5467as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5468if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5469  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5470echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5471if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5472  echo $ECHO_N "(cached) $ECHO_C" >&6
     5473fi
     5474echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5475echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5476else
     5477  # Is the header compilable?
     5478echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5479echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5480cat >conftest.$ac_ext <<_ACEOF
     5481/* confdefs.h.  */
     5482_ACEOF
     5483cat confdefs.h >>conftest.$ac_ext
     5484cat >>conftest.$ac_ext <<_ACEOF
     5485/* end confdefs.h.  */
     5486$ac_includes_default
     5487#include <$ac_header>
     5488_ACEOF
     5489rm -f conftest.$ac_objext
     5490if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5491  (eval $ac_compile) 2>conftest.er1
     5492  ac_status=$?
     5493  grep -v '^ *+' conftest.er1 >conftest.err
     5494  rm -f conftest.er1
     5495  cat conftest.err >&5
     5496  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5497  (exit $ac_status); } &&
     5498         { ac_try='test -z "$ac_c_werror_flag"
     5499                         || test ! -s conftest.err'
     5500  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5501  (eval $ac_try) 2>&5
     5502  ac_status=$?
     5503  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5504  (exit $ac_status); }; } &&
     5505         { ac_try='test -s conftest.$ac_objext'
     5506  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5507  (eval $ac_try) 2>&5
     5508  ac_status=$?
     5509  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5510  (exit $ac_status); }; }; then
     5511  ac_header_compiler=yes
     5512else
     5513  echo "$as_me: failed program was:" >&5
     5514sed 's/^/| /' conftest.$ac_ext >&5
     5515
     5516ac_header_compiler=no
     5517fi
     5518rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5519echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5520echo "${ECHO_T}$ac_header_compiler" >&6
     5521
     5522# Is the header present?
     5523echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5524echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5525cat >conftest.$ac_ext <<_ACEOF
     5526/* confdefs.h.  */
     5527_ACEOF
     5528cat confdefs.h >>conftest.$ac_ext
     5529cat >>conftest.$ac_ext <<_ACEOF
     5530/* end confdefs.h.  */
     5531#include <$ac_header>
     5532_ACEOF
     5533if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5534  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5535  ac_status=$?
     5536  grep -v '^ *+' conftest.er1 >conftest.err
     5537  rm -f conftest.er1
     5538  cat conftest.err >&5
     5539  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5540  (exit $ac_status); } >/dev/null; then
     5541  if test -s conftest.err; then
     5542    ac_cpp_err=$ac_c_preproc_warn_flag
     5543    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5544  else
     5545    ac_cpp_err=
     5546  fi
     5547else
     5548  ac_cpp_err=yes
     5549fi
     5550if test -z "$ac_cpp_err"; then
     5551  ac_header_preproc=yes
     5552else
     5553  echo "$as_me: failed program was:" >&5
     5554sed 's/^/| /' conftest.$ac_ext >&5
     5555
     5556  ac_header_preproc=no
     5557fi
     5558rm -f conftest.err conftest.$ac_ext
     5559echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5560echo "${ECHO_T}$ac_header_preproc" >&6
     5561
     5562# So?  What about this header?
     5563case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5564  yes:no: )
     5565    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5566echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5567    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5568echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5569    ac_header_preproc=yes
     5570    ;;
     5571  no:yes:* )
     5572    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5573echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5574    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5575echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5576    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5577echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5578    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5579echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5580    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5581echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5582    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5583echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5584    (
     5585      cat <<\_ASBOX
     5586## ------------------------------------------- ##
     5587## Report this to orxonox-dev@mail.datacore.ch ##
     5588## ------------------------------------------- ##
     5589_ASBOX
     5590    ) |
     5591      sed "s/^/$as_me: WARNING:     /" >&2
     5592    ;;
     5593esac
     5594echo "$as_me:$LINENO: checking for $ac_header" >&5
     5595echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5596if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5597  echo $ECHO_N "(cached) $ECHO_C" >&6
     5598else
     5599  eval "$as_ac_Header=\$ac_header_preproc"
     5600fi
     5601echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5602echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5603
     5604fi
     5605if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5606  cat >>confdefs.h <<_ACEOF
     5607#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5608_ACEOF
     5609
     5610else
     5611  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     5612echo "$as_me: error: cannot find opengl headers" >&2;}
     5613   { (exit 1); exit 1; }; }
     5614fi
     5615
     5616done
     5617
     5618# cheking for GLU-header
     5619
     5620for ac_header in OpenGL/glu.h
     5621do
     5622as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5623if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5624  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5625echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5626if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5627  echo $ECHO_N "(cached) $ECHO_C" >&6
     5628fi
     5629echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5630echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5631else
     5632  # Is the header compilable?
     5633echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5634echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5635cat >conftest.$ac_ext <<_ACEOF
     5636/* confdefs.h.  */
     5637_ACEOF
     5638cat confdefs.h >>conftest.$ac_ext
     5639cat >>conftest.$ac_ext <<_ACEOF
     5640/* end confdefs.h.  */
     5641$ac_includes_default
     5642#include <$ac_header>
     5643_ACEOF
     5644rm -f conftest.$ac_objext
     5645if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5646  (eval $ac_compile) 2>conftest.er1
     5647  ac_status=$?
     5648  grep -v '^ *+' conftest.er1 >conftest.err
     5649  rm -f conftest.er1
     5650  cat conftest.err >&5
     5651  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5652  (exit $ac_status); } &&
     5653         { ac_try='test -z "$ac_c_werror_flag"
     5654                         || test ! -s conftest.err'
     5655  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5656  (eval $ac_try) 2>&5
     5657  ac_status=$?
     5658  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5659  (exit $ac_status); }; } &&
     5660         { ac_try='test -s conftest.$ac_objext'
     5661  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5662  (eval $ac_try) 2>&5
     5663  ac_status=$?
     5664  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5665  (exit $ac_status); }; }; then
     5666  ac_header_compiler=yes
     5667else
     5668  echo "$as_me: failed program was:" >&5
     5669sed 's/^/| /' conftest.$ac_ext >&5
     5670
     5671ac_header_compiler=no
     5672fi
     5673rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5674echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5675echo "${ECHO_T}$ac_header_compiler" >&6
     5676
     5677# Is the header present?
     5678echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5679echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5680cat >conftest.$ac_ext <<_ACEOF
     5681/* confdefs.h.  */
     5682_ACEOF
     5683cat confdefs.h >>conftest.$ac_ext
     5684cat >>conftest.$ac_ext <<_ACEOF
     5685/* end confdefs.h.  */
     5686#include <$ac_header>
     5687_ACEOF
     5688if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5689  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5690  ac_status=$?
     5691  grep -v '^ *+' conftest.er1 >conftest.err
     5692  rm -f conftest.er1
     5693  cat conftest.err >&5
     5694  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5695  (exit $ac_status); } >/dev/null; then
     5696  if test -s conftest.err; then
     5697    ac_cpp_err=$ac_c_preproc_warn_flag
     5698    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5699  else
     5700    ac_cpp_err=
     5701  fi
     5702else
     5703  ac_cpp_err=yes
     5704fi
     5705if test -z "$ac_cpp_err"; then
     5706  ac_header_preproc=yes
     5707else
     5708  echo "$as_me: failed program was:" >&5
     5709sed 's/^/| /' conftest.$ac_ext >&5
     5710
     5711  ac_header_preproc=no
     5712fi
     5713rm -f conftest.err conftest.$ac_ext
     5714echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5715echo "${ECHO_T}$ac_header_preproc" >&6
     5716
     5717# So?  What about this header?
     5718case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5719  yes:no: )
     5720    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5721echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5722    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5723echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5724    ac_header_preproc=yes
     5725    ;;
     5726  no:yes:* )
     5727    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5728echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5729    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5730echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5731    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5732echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5733    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5734echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5735    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5736echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5737    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5738echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5739    (
     5740      cat <<\_ASBOX
     5741## ------------------------------------------- ##
     5742## Report this to orxonox-dev@mail.datacore.ch ##
     5743## ------------------------------------------- ##
     5744_ASBOX
     5745    ) |
     5746      sed "s/^/$as_me: WARNING:     /" >&2
     5747    ;;
     5748esac
     5749echo "$as_me:$LINENO: checking for $ac_header" >&5
     5750echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5751if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5752  echo $ECHO_N "(cached) $ECHO_C" >&6
     5753else
     5754  eval "$as_ac_Header=\$ac_header_preproc"
     5755fi
     5756echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5757echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5758
     5759fi
     5760if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5761  cat >>confdefs.h <<_ACEOF
     5762#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5763_ACEOF
     5764
     5765else
     5766  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     5767echo "$as_me: error: cannot find opengl headers" >&2;}
     5768   { (exit 1); exit 1; }; }
     5769fi
     5770
     5771done
     5772
     5773
     5774   LIBS="$LIBS -framework OpenGL"
     5775
     5776# checking for SDL-headers
     5777
     5778for ac_header in SDL/SDL.h
     5779do
     5780as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5781if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5782  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5783echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5784if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5785  echo $ECHO_N "(cached) $ECHO_C" >&6
     5786fi
     5787echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5788echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5789else
     5790  # Is the header compilable?
     5791echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5792echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5793cat >conftest.$ac_ext <<_ACEOF
     5794/* confdefs.h.  */
     5795_ACEOF
     5796cat confdefs.h >>conftest.$ac_ext
     5797cat >>conftest.$ac_ext <<_ACEOF
     5798/* end confdefs.h.  */
     5799$ac_includes_default
     5800#include <$ac_header>
     5801_ACEOF
     5802rm -f conftest.$ac_objext
     5803if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5804  (eval $ac_compile) 2>conftest.er1
     5805  ac_status=$?
     5806  grep -v '^ *+' conftest.er1 >conftest.err
     5807  rm -f conftest.er1
     5808  cat conftest.err >&5
     5809  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5810  (exit $ac_status); } &&
     5811         { ac_try='test -z "$ac_c_werror_flag"
     5812                         || test ! -s conftest.err'
     5813  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5814  (eval $ac_try) 2>&5
     5815  ac_status=$?
     5816  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5817  (exit $ac_status); }; } &&
     5818         { ac_try='test -s conftest.$ac_objext'
     5819  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5820  (eval $ac_try) 2>&5
     5821  ac_status=$?
     5822  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5823  (exit $ac_status); }; }; then
     5824  ac_header_compiler=yes
     5825else
     5826  echo "$as_me: failed program was:" >&5
     5827sed 's/^/| /' conftest.$ac_ext >&5
     5828
     5829ac_header_compiler=no
     5830fi
     5831rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5832echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5833echo "${ECHO_T}$ac_header_compiler" >&6
     5834
     5835# Is the header present?
     5836echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5837echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5838cat >conftest.$ac_ext <<_ACEOF
     5839/* confdefs.h.  */
     5840_ACEOF
     5841cat confdefs.h >>conftest.$ac_ext
     5842cat >>conftest.$ac_ext <<_ACEOF
     5843/* end confdefs.h.  */
     5844#include <$ac_header>
     5845_ACEOF
     5846if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5847  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5848  ac_status=$?
     5849  grep -v '^ *+' conftest.er1 >conftest.err
     5850  rm -f conftest.er1
     5851  cat conftest.err >&5
     5852  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5853  (exit $ac_status); } >/dev/null; then
     5854  if test -s conftest.err; then
     5855    ac_cpp_err=$ac_c_preproc_warn_flag
     5856    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5857  else
     5858    ac_cpp_err=
     5859  fi
     5860else
     5861  ac_cpp_err=yes
     5862fi
     5863if test -z "$ac_cpp_err"; then
     5864  ac_header_preproc=yes
     5865else
     5866  echo "$as_me: failed program was:" >&5
     5867sed 's/^/| /' conftest.$ac_ext >&5
     5868
     5869  ac_header_preproc=no
     5870fi
     5871rm -f conftest.err conftest.$ac_ext
     5872echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5873echo "${ECHO_T}$ac_header_preproc" >&6
     5874
     5875# So?  What about this header?
     5876case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5877  yes:no: )
     5878    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5879echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5880    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5881echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5882    ac_header_preproc=yes
     5883    ;;
     5884  no:yes:* )
     5885    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5886echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5887    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5888echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5889    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5890echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5891    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5892echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5893    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5894echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5895    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5896echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5897    (
     5898      cat <<\_ASBOX
     5899## ------------------------------------------- ##
     5900## Report this to orxonox-dev@mail.datacore.ch ##
     5901## ------------------------------------------- ##
     5902_ASBOX
     5903    ) |
     5904      sed "s/^/$as_me: WARNING:     /" >&2
     5905    ;;
     5906esac
     5907echo "$as_me:$LINENO: checking for $ac_header" >&5
     5908echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5909if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5910  echo $ECHO_N "(cached) $ECHO_C" >&6
     5911else
     5912  eval "$as_ac_Header=\$ac_header_preproc"
     5913fi
     5914echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5915echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5916
     5917fi
     5918if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5919  cat >>confdefs.h <<_ACEOF
     5920#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5921_ACEOF
     5922
     5923else
     5924  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     5925echo "$as_me: error: cannot find SDL headers" >&2;}
     5926   { (exit 1); exit 1; }; }
     5927fi
     5928
     5929done
     5930
     5931
     5932## checking for SDL
     5933#    SDL_VERSION=1.2.7
     5934#    AM_PATH_SDL($SDL_VERSION,
     5935#      :,
     5936#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
     5937#      )
     5938
     5939       SDL_CFLAGS=`sdl-config --cflags`
     5940       SDL_LIBS=`sdl-config --libs`
     5941       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
     5942       LIBS="$LIBS $SDL_LIBS"
     5943    ;;
     5944
    54545945  *)
    54555946    ;;
  • orxonox/trunk/configure.ac

    r2991 r2995  
    138138         exit -1
    139139    fi   
     140
    140141# checking for SDL-headers
    141142    AC_CHECK_HEADERS(SDL/SDL.h ,,
    142143      [AC_MSG_ERROR([cannot find SDL headers]) ])
    143144
     145# checking for SDL-libs
    144146    AC_CHECK_LIB([SDL], [main], FOUND_SDL=yes)
    145147     if test "$FOUND_SDL" = "yes" ; then
     
    162164#    LIBS="$LIBS $SDL_LIBS"
    163165    ;;
     166
     167### OS X ###
     168 *darwin*)
     169echo "OS X detected"
     170
     171 osX="yes"
     172
     173# checking gl header
     174   AC_CHECK_HEADERS(OpenGL/gl.h ,,
     175      [AC_MSG_ERROR([cannot find opengl headers]) ])
     176# cheking for GLU-header
     177    AC_CHECK_HEADERS(OpenGL/glu.h ,,
     178      [AC_MSG_ERROR([cannot find opengl headers]) ])
     179
     180   LIBS="$LIBS -framework OpenGL"
     181
     182# checking for SDL-headers
     183    AC_CHECK_HEADERS(SDL/SDL.h ,,
     184      [AC_MSG_ERROR([cannot find SDL headers]) ])
     185
     186## checking for SDL
     187#    SDL_VERSION=1.2.7
     188#    AM_PATH_SDL($SDL_VERSION,
     189#      :,
     190#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
     191#      )
     192
     193       SDL_CFLAGS=`sdl-config --cflags`
     194       SDL_LIBS=`sdl-config --libs`
     195       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
     196       LIBS="$LIBS $SDL_LIBS"
     197    ;;
     198
    164199  *)
    165200    ;;
  • orxonox/trunk/importer/object.cc

    r2988 r2995  
    341341        {
    342342          readGroup (Buffer+2);
     343        }
     344      else if (!strncmp(Buffer, "s", 1))
     345        {
     346          if (verbose >= 1)
     347            printf("smoothing groups not suportet yet. line: %s\n", Buffer);
    343348        }
    344349    }
  • orxonox/trunk/importer/windowHandler.h

    r2936 r2995  
    66#include <GL/gl.h>
    77#include <GL/glu.h>
     8
     9#ifndef __APPLE__
    810#include <SDL/SDL.h>
     11#else
     12#include <SDL.h>
     13#endif
    914
    1015#include <stdarg.h>
  • orxonox/trunk/src/keynames.cc

    r2551 r2995  
    1313   co-programmer: ...
    1414*/
    15 #include <SDL/SDL.h>
    1615
    1716#include "keynames.h"
  • orxonox/trunk/src/keynames.h

    r2551 r2995  
    1010#endif
    1111
     12#ifndef __APPLE__
    1213#include <SDL/SDL.h>
     14#else
     15#include <SDL.h>
     16#endif
    1317
    1418/**
  • orxonox/trunk/src/orxonox.h

    r2636 r2995  
    66#ifndef ORXONOX_H
    77#define ORXONOX_H
    8 
    9 #include <SDL/SDL.h>
    108
    119#include "stdincl.h"
  • orxonox/trunk/src/stdincl.h

    r2816 r2995  
    88#include <windows.h>
    99#endif
     10
     11#ifndef __APPLE__
    1012#include <SDL/SDL.h>
     13#else
     14#include <SDL.h>
     15#endif
     16
    1117#include <GL/gl.h>
    1218#include <GL/glu.h>
Note: See TracChangeset for help on using the changeset viewer.